# Message_Gravity.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum | Message_Gravity { Message_Trace, Message_Info, Message_Warning, Message_Alarm, Message_Fail }
| Defines gravity level of messages - Trace: low-level details on algorithm execution (usually for debug purposes) - Info: informative message - Warning: warning message - Alarm: non-critical error - Fail: fatal error . More...

## Enumeration Type Documentation

enum Message_Gravity

Enumeration values:

  Message_Trace |
  Message_Info |
  Message_Warning |
  Message_Alarm |
  Message_Fail |